- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgFX::Validator Class Reference

This class is used internally by osgFX::Effect to choose between different techniques dynamically. More...

Inheritance diagram for osgFX::Validator:

[legend]
List of all members.

## Public Member Functions
| Validator ()
| Validator (Effect *effect)
| Validator (const Validator &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_StateAttribute (osgFX, Validator, VALIDATOR)
void | apply (osg::State &state) const
| apply the OpenGL state attributes.
void | compileGLObjects (osg::State &state) const
| default to nothing to compile - all state is applied immediately.
int | compare (const osg::StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | disable ()
## Protected Member Functions
virtual | ~Validator ()
Validator & | operator= (const Validator &)

## Detailed Description

This class is used internally by osgFX::Effect to choose between different techniques dynamically.

The apply() method will call each technique's validate() method and store the results in a buffered array. The Effect class will then choose the first technique that could be validated in all active rendering contexts.

## Constructor & Destructor Documentation

Validator::Validator | ( |  | ) |

Validator::Validator | ( | Effect * | effect | ) |

Validator::Validator | ( | const Validator & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) |

virtual osgFX::Validator::~Validator | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void Validator::apply | ( | osg::State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

int osgFX::Validator::compare | ( | const osg::StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

void Validator::compileGLObjects | ( | osg::State & | state | ) | const`[virtual]`

| default to nothing to compile - all state is applied immediately. Reimplemented from osg::StateAttribute.

void osgFX::Validator::disable | ( |  | ) | `[inline]`

osgFX::Validator::META_StateAttribute | ( | osgFX | ,
|  | Validator | ,
|  | VALIDATOR |
| ) |

Validator& osgFX::Validator::operator= | ( | const Validator & |  | ) | `[inline, protected]`

The documentation for this class was generated from the following files:

- Validator
- Validator.cpp